package com.tenlionsoft.baselib.core.beans;

/**
 * 作者: adam
 * 日期: 2021/7/12 - 4:17 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class PersonSearchBean {

    private String areaCode;
    private String areaId;
    private String areaNames;
    private String basePopulationInfoId;
    private String birthDate;
    private String currentResidence;
    private String currentResidenceAddr;
    private String currentResidenceDictionaryName;
    private String education;
    private String educationDictionaryName;
    private String fullName;
    private String gender;
    private String genderDictionaryName;
    private String gridId;
    private String gridName;
    private String idCardNumber;
    private String maritalStatus;
    private String maritalStatusDictionaryName;
    private String nameUsedBefore;
    private String nation;
    private String nationDictionaryName;
    private String nativePlace;
    private String nativePlaceAddr;
    private String nativePlaceDictionaryName;
    private String occupation;
    private String occupationCategory;
    private String occupationCategoryDictionaryName;
    private String politicalStatus;
    private String politicalStatusDictionaryName;
    private String registeredResidence;
    private String registeredResidenceAddr;
    private String registeredResidenceDictionaryName;
    private String religion;
    private String religionDictionaryName;
    private String serviceSpace;
    private String telephone;

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaNames() {
        return areaNames;
    }

    public void setAreaNames(String areaNames) {
        this.areaNames = areaNames;
    }

    public String getBasePopulationInfoId() {
        return basePopulationInfoId;
    }

    public void setBasePopulationInfoId(String basePopulationInfoId) {
        this.basePopulationInfoId = basePopulationInfoId;
    }

    public String getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public String getCurrentResidence() {
        return currentResidence;
    }

    public void setCurrentResidence(String currentResidence) {
        this.currentResidence = currentResidence;
    }

    public String getCurrentResidenceAddr() {
        return currentResidenceAddr;
    }

    public void setCurrentResidenceAddr(String currentResidenceAddr) {
        this.currentResidenceAddr = currentResidenceAddr;
    }

    public String getCurrentResidenceDictionaryName() {
        return currentResidenceDictionaryName;
    }

    public void setCurrentResidenceDictionaryName(String currentResidenceDictionaryName) {
        this.currentResidenceDictionaryName = currentResidenceDictionaryName;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getEducationDictionaryName() {
        return educationDictionaryName;
    }

    public void setEducationDictionaryName(String educationDictionaryName) {
        this.educationDictionaryName = educationDictionaryName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getGenderDictionaryName() {
        return genderDictionaryName;
    }

    public void setGenderDictionaryName(String genderDictionaryName) {
        this.genderDictionaryName = genderDictionaryName;
    }

    public String getGridId() {
        return gridId;
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getMaritalStatusDictionaryName() {
        return maritalStatusDictionaryName;
    }

    public void setMaritalStatusDictionaryName(String maritalStatusDictionaryName) {
        this.maritalStatusDictionaryName = maritalStatusDictionaryName;
    }

    public String getNameUsedBefore() {
        return nameUsedBefore;
    }

    public void setNameUsedBefore(String nameUsedBefore) {
        this.nameUsedBefore = nameUsedBefore;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationDictionaryName() {
        return nationDictionaryName;
    }

    public void setNationDictionaryName(String nationDictionaryName) {
        this.nationDictionaryName = nationDictionaryName;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getNativePlaceAddr() {
        return nativePlaceAddr;
    }

    public void setNativePlaceAddr(String nativePlaceAddr) {
        this.nativePlaceAddr = nativePlaceAddr;
    }

    public String getNativePlaceDictionaryName() {
        return nativePlaceDictionaryName;
    }

    public void setNativePlaceDictionaryName(String nativePlaceDictionaryName) {
        this.nativePlaceDictionaryName = nativePlaceDictionaryName;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getOccupationCategory() {
        return occupationCategory;
    }

    public void setOccupationCategory(String occupationCategory) {
        this.occupationCategory = occupationCategory;
    }

    public String getOccupationCategoryDictionaryName() {
        return occupationCategoryDictionaryName;
    }

    public void setOccupationCategoryDictionaryName(String occupationCategoryDictionaryName) {
        this.occupationCategoryDictionaryName = occupationCategoryDictionaryName;
    }

    public String getPoliticalStatus() {
        return politicalStatus;
    }

    public void setPoliticalStatus(String politicalStatus) {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatusDictionaryName() {
        return politicalStatusDictionaryName;
    }

    public void setPoliticalStatusDictionaryName(String politicalStatusDictionaryName) {
        this.politicalStatusDictionaryName = politicalStatusDictionaryName;
    }

    public String getRegisteredResidence() {
        return registeredResidence;
    }

    public void setRegisteredResidence(String registeredResidence) {
        this.registeredResidence = registeredResidence;
    }

    public String getRegisteredResidenceAddr() {
        return registeredResidenceAddr;
    }

    public void setRegisteredResidenceAddr(String registeredResidenceAddr) {
        this.registeredResidenceAddr = registeredResidenceAddr;
    }

    public String getRegisteredResidenceDictionaryName() {
        return registeredResidenceDictionaryName;
    }

    public void setRegisteredResidenceDictionaryName(String registeredResidenceDictionaryName) {
        this.registeredResidenceDictionaryName = registeredResidenceDictionaryName;
    }

    public String getReligion() {
        return religion;
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getReligionDictionaryName() {
        return religionDictionaryName;
    }

    public void setReligionDictionaryName(String religionDictionaryName) {
        this.religionDictionaryName = religionDictionaryName;
    }

    public String getServiceSpace() {
        return serviceSpace;
    }

    public void setServiceSpace(String serviceSpace) {
        this.serviceSpace = serviceSpace;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }
}
